Package edu.claflin.finder.algo.clustering.struct.infomap_struct

# Class InfomapAlgorithm

java.lang.Object
edu.claflin.finder.algo.clustering.struct.infomap_struct.InfomapAlgorithm

public class InfomapAlgorithm extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) List<List<Node>>`
  `communities`
  `private Graph`
  `graph`
  `(package private) List<Node>`
  `neighbors`
  `private Node`
  `node`
  `private int`
  `nodeCount`
  `(package private) List<Node>`
  `nodeList`
  `(package private) PrioritySet<HuffmanNode>`
  `ps`
  `private final int`
  `traverseGraph`
  `(package private) HuffmanCode`
  `tree`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InfomapAlgorithm(Graph g)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `AvgBitLength(ArrayList<Node> nodePath)`
  `void`
  `HuffmanEncoder(List<Node> nodeList, PrioritySet<HuffmanNode> ps)`
  `double`
  `mapEquation(ArrayList<Double> q, ArrayList<Double> p, ArrayList<ArrayList<Double>> pProb, int nodeNum, int modNum)`
  `double`
  `MapEquationUndirected(ArrayList<Double> wy, ArrayList<Double> w, ArrayList<ArrayList<Double>> wi, int nodeNum, int modNum)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### graph

    private Graph graph

  - ### nodeCount

    private int nodeCount

  - ### traverseGraph

    private final int traverseGraph

  - ### node

    private Node node

  - ### neighbors

    List<Node> neighbors

  - ### nodeList

    List<Node> nodeList

  - ### communities

    List<List<Node>> communities

  - ### ps

    PrioritySet<HuffmanNode> ps

  - ### tree

    HuffmanCode tree

- ## Constructor Details

  - ### InfomapAlgorithm

    public InfomapAlgorithm(Graph g)

- ## Method Details

  - ### AvgBitLength

    public double AvgBitLength(ArrayList<Node> nodePath)

  - ### HuffmanEncoder

    public void HuffmanEncoder(List<Node> nodeList, PrioritySet<HuffmanNode> ps)

  - ### mapEquation

    public double mapEquation(ArrayList<Double> q, ArrayList<Double> p, ArrayList<ArrayList<Double>> pProb, int nodeNum, int modNum)

  - ### MapEquationUndirected

    public double MapEquationUndirected(ArrayList<Double> wy, ArrayList<Double> w, ArrayList<ArrayList<Double>> wi, int nodeNum, int modNum)